import { jsx } from "react/jsx-runtime";
import { Fire as Fire$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Fire = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Fire", ...props, children: /* @__PURE__ */ jsx(Fire$1, { weight: variant }) });
  }
);
Fire.displayName = "Fire";
Object.assign(Fire, { isGdsIcon: true });
export {
  Fire
};
